org.apache.cassandra.transport

## Class Event.SchemaChange

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.SchemaChange

Enclosing class:
  Event

    public static class Event.SchemaChange
    extends Event

### Nested Class Summary

Nested Classes
`static class` `Event.SchemaChange.Change`
`static class` `Event.SchemaChange.Target`

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

`Event.NodeEvent, Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

### Field Summary

Fields
`java.util.List<java.lang.String>` `argTypes`
`Event.SchemaChange.Change` `change`
`java.lang.String` `keyspace`
`java.lang.String` `name`
`Event.SchemaChange.Target` `target`

### Fields inherited from class org.apache.cassandra.transport.Event

`type`

### Constructor Summary

Constructors
Constructor and Description
`SchemaChange(Event.SchemaChange.Change change, Event.SchemaChange.Target target, java.lang.String keyspace, java.lang.String name)`
`SchemaChange(Event.SchemaChange.Change change, Event.SchemaChange.Target target, java.lang.String keyspace, java.lang.String name, java.util.List<java.lang.String> argTypes)`
`SchemaChange(Event.SchemaChange.Change change, java.lang.String keyspace)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Event.SchemaChange` `deserializeEvent(io.netty.buffer.ByteBuf cb, ProtocolVersion version)`
`boolean` `equals(java.lang.Object other)`
`int` `eventSerializedSize(ProtocolVersion version)`
`int` `hashCode()`
`void` `serializeEvent(io.netty.buffer.ByteBuf dest, ProtocolVersion version)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.transport.Event

`deserialize, serialize, serializedSize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### change

    public final Event.SchemaChange.Change change

#### target

    public final Event.SchemaChange.Target target

#### keyspace

    public final java.lang.String keyspace

#### name

    public final java.lang.String name

#### argTypes

    public final java.util.List<java.lang.String> argTypes

### Constructor Detail

#### SchemaChange

    public SchemaChange(Event.SchemaChange.Change change,
                        Event.SchemaChange.Target target,
                        java.lang.String keyspace,
                        java.lang.String name,
                        java.util.List<java.lang.String> argTypes)

#### SchemaChange

    public SchemaChange(Event.SchemaChange.Change change,
                        Event.SchemaChange.Target target,
                        java.lang.String keyspace,
                        java.lang.String name)

#### SchemaChange

    public SchemaChange(Event.SchemaChange.Change change,
                        java.lang.String keyspace)

### Method Detail

#### deserializeEvent

    public static Event.SchemaChange deserializeEvent(io.netty.buffer.ByteBuf cb,
                                                      ProtocolVersion version)

#### serializeEvent

    public void serializeEvent(io.netty.buffer.ByteBuf dest,
                               ProtocolVersion version)

Specified by:
  `serializeEvent` in class `Event`

#### eventSerializedSize

    public int eventSerializedSize(ProtocolVersion version)

Specified by:
  `eventSerializedSize` in class `Event`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`